/*
 * Licensed by the author of Time4J-project.
 *
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership. The copyright owner
 * licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package net.time4j.format;


/**
 * <p>Defines the number type. </p>
 *
 * @author  Meno Hochschild
 * @since   1.2
 */
/*[deutsch]
 * <p>Definiert einen Zahltyp. </p>
 *
 * @author  Meno Hochschild
 * @since   1.2
 */
public enum NumberType {

    //~ Statische Felder/Initialisierungen --------------------------------

    /** Cardinal numbers. */
    /*[deutsch] Grundzahlen. */
    CARDINALS,

    /** Ordinal numbers. */
    /*[deutsch] Ordnungszahlen. */
    ORDINALS;

}
